<?php

/**
 * The plugin bootstrap file
 *
 * This file is read by WordPress to generate the plugin information in the plugin
 * admin area. This file also includes all of the dependencies used by the plugin,
 * registers the activation and deactivation functions, and defines a function
 * that starts the plugin.
 *
 * @link              https://https://themeatelier.net/
 * @since             1.0.0
 * @package           Darkify_Pro
 *
 * @wordpress-plugin
 * Plugin Name:       Darkify Pro
 * Plugin URI:        https://https://wp-plugins.themeatelier.net/darkify
 * Description:       Darkify is for a stylish, modern darkmode look that people love.
 * Version:           1.0.2
 * Author:            20script
 * Author URI:        https://www.20script.ir
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       darkify-pro
 * Domain Path:       /languages
 */

// If this file is called directly, abort.
if ( ! defined( 'WPINC' ) ) {
	die;
}

/**
 * Currently plugin version.
 * Start at version 1.0.0 and use SemVer - https://semver.org
 * Rename this for your plugin and update it as you release new versions.
 */
define( 'DRK_PRO_VERSION', '1.0.1' );
define( 'DRK_PLUGIN_DIR_URL', plugin_dir_url( __FILE__ ) );
define( 'DRK_BASENAME', plugin_basename(__FILE__) );
define( 'DRK_PRO_PATH', plugin_dir_path( __FILE__ ) );

/**
 * The code that runs during plugin activation.
 * This action is documented in includes/class-darkify-pro-activator.php
 */
function darkify_pro_activate() {
	require_once DRK_PRO_PATH . 'includes/class-darkify-pro-activator.php';
	Darkify_Pro_Activator::activate();
}

/**
 * The code that runs during plugin deactivation.
 * This action is documented in includes/class-darkify-pro-deactivator.php
 */
function darkify_pro_deactivate() {
	require_once DRK_PRO_PATH . 'includes/class-darkify-pro-deactivator.php';
	Darkify_Pro_Deactivator::deactivate();
}

register_activation_hook( __FILE__, 'darkify_pro_activate' );
register_deactivation_hook( __FILE__, 'darkify_pro_deactivate' );

require DRK_PRO_PATH . 'includes/class-darkify-pro.php';


function darkify_pro_run() {
	$plugin = new Darkify_Pro();
	$plugin->run();
}
darkify_pro_run();